Secciones

Como solucionar el problema de vmware 8.0.4 y kernel 3.8

Hola a tod@s,

Durante el tiempo que llevo sin publicar en mi blog han ocurrido algunos cambios geeks en mi vida, uno de ellos ha sido la compra del portátil mountain f11 ivy que tiene incorporado, en mi caso, un procesado Intel® Core™ i7-3610QM CPU @ 2.30GHz × 8. Hace un tiempo, y por petición popular cree un pequeño video "casero" que podéis ver a continuación.


Con las versiones 3.5 de kernel que incorpora por defecto Ubuntu 12.10, no se le saca todo el partido a este tipo de procesadores, y si hacéis una revisión por Internet veréis que la mayoría recomienda utilizar versiones de kernel 3.7 o superiores. Por suerte, la próxima versión de ubuntu, Ubuntu 13.04, ya viene con el kernel 3.8 con lo cual se supone que los problemas

Si optáis por instalar el kernel 3.8 en Ubuntu 12.10, os aparecerá un primer problema, que impide que ejecutar la instucción vmware-modconfig y compilar los módulos necesarios. Esto se debe a que a partir de la versión 3.7 del kernel se han distribuido de forma diferente ciertos ficheros de cabecera. El que nos afecta es el fichero version.h.

Este primer problema se soluciona de una forma muy sencilla y basta con crear un soft link de la siguiente forma:



cd /usr/src/linux-headers-3.8.0-030800-generic/include/linux
sudo ln -s ../../include/generated/uapi/linux/version.h 



Con esto ya tendréis solucionado el problema y podréis ejecutar el comando vmware-modconfig.

El siguiente problema que aparece está relacionado con el módulo VMCI (Virtual Machine Communication Interface). Este módulo proporciona el acceso desde nuestras máquinas virtuales al sistema operativo host. En esta imagen se muestra un pequeño esquema del funcionamiento de este módulo:

VMware VMCI

Para solucionar este segundo problema debemos descargar este parche ofrecido en los foros de vmware y parchear vmci.tar siguiendo las siguientes instrucciones.



cd /usr/lib/vmware/modules/source
sudo tar -xf vmci.tar
cd vmci-only
patch -p1 < 'patchfile'
cd ..
sudo tar -cf vmci.tar vmci-only/



En este link de los foros de vmware, un usuario dice que ha experimentado algunos problemas de lentitud y que el parche también funciona para vmware 9.

Espero que os sirva de ayuda y hasta otra.

JK

No hay comentarios:

Publicar un comentario en la entrada